summaryrefslogtreecommitdiffstats
path: root/remote
diff options
context:
space:
mode:
authorJonathan Bauer2013-12-02 17:15:18 +0100
committerJonathan Bauer2013-12-02 17:15:18 +0100
commit4732db45c6db933890b01396c6d8aa19f8006a85 (patch)
tree4533570d7e87b1db2ee1c9e0c411f135c9f252c1 /remote
parent[blacklist] vmware 'module' (diff)
downloadtm-scripts-4732db45c6db933890b01396c6d8aa19f8006a85.tar.gz
tm-scripts-4732db45c6db933890b01396c6d8aa19f8006a85.tar.xz
tm-scripts-4732db45c6db933890b01396c6d8aa19f8006a85.zip
[vmware] added Xreset to process the Xreset.d directory :)
Diffstat (limited to 'remote')
-rwxr-xr-xremote/modules/vmware/data/etc/X11/Xreset34
1 files changed, 34 insertions, 0 deletions
diff --git a/remote/modules/vmware/data/etc/X11/Xreset b/remote/modules/vmware/data/etc/X11/Xreset
new file mode 100755
index 00000000..7a0974cf
--- /dev/null
+++ b/remote/modules/vmware/data/etc/X11/Xreset
@@ -0,0 +1,34 @@
+#!/bin/sh
+#
+# /etc/X11/Xreset
+#
+# global Xreset file -- for use by display managers
+
+# $Id: Xsession 967 2005-12-27 07:20:55Z dnusinow $
+
+set -e
+
+PROGNAME=Xreset
+SYSSESSIONDIR=/etc/X11/Xreset.d
+
+if [ ! -d "$SYSSESSIONDIR" ]; then
+ # Nothing to do, exiting
+ exit 0
+fi
+
+# use run-parts to source every file in the session directory; we source
+# instead of executing so that the variables and functions defined above
+# are available to the scripts, and so that they can pass variables to each
+# other
+SESSIONFILES=$(run-parts --list $SYSSESSIONDIR)
+if [ -n "$SESSIONFILES" ]; then
+ set +e
+ for SESSIONFILE in $SESSIONFILES; do
+ . $SESSIONFILE
+ done
+ set -e
+fi
+
+exit 0
+
+# vim:set ai et sts=2 sw=2 tw=80: